Summary:	GNU privacy guard - a free PGP replacement
Name:		gnupg
Version:	1.4.7
Release:	%mkrel 4
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
Source:		ftp://ftp.gnupg.org/gcrypt/gnupg/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/gnupg/%{name}-%{version}.tar.bz2.sig
Source2:	mdk-keys.tar.bz2
Source3:	mdk-keys.tar.bz2.sig
Patch1:		gnupg-1.4.2.2-use-agent-by-default.diff
Patch2:		gnupg-1.4.2.2-CVE-2006-3082.patch
Patch4:		gnupg-1.4.5-ppc64.patch
# splitted off from the previous debian patch
Patch6:		gnupg-1.4.7-deb-free_caps.patch
Patch7:		gnupg-1.4.7-deb-manpage.patch
Patch8:		gnupg-1.4.7-deb-min_privileges.patch
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	bzip2-devel
BuildRequires:	docbook-utils
BuildRequires:	gettext
BuildRequires:	libcurl-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libusb-devel
BuildRequires:	openldap-devel
BuildRequires:	perl
BuildRequires:	readline-devel
BuildRequires:	sendmail-command
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
%setup -q
%patch1 -p0 -b .use_agent
%patch2 -p1 -b .cve-2006-3082
%patch4 -p1 -b .ppc64
%patch6 -p1 -b .free_caps
%patch7 -p1 -b .manpage
%patch8 -p1 -b .min_privileges


%build
%configure2_5x \
	--with-included-gettext \
	--with-static-rnd=linux \
%ifarch sparc sparc64
	--enable-m-guard \
%else
	--disable-m-guard
%endif
%make

%check
# all tests must pass
make check

%install
rm -rf %{buildroot}

%makeinstall_std

sed -e "s#../g10/gpg#gpg#" < tools/lspgpot > %{buildroot}%{_bindir}/lspgpot

perl -pi -e 's|/usr/local|/usr/|' %{buildroot}%{_mandir}/man1/gpg.1

# install some extra man pages by debian
install -m0644 debian/gpgsplit.1 %{buildroot}%{_mandir}/man1/
install -m0644 debian/lspgpot.1 %{buildroot}%{_mandir}/man1/

# installed but not wanted
rm -f %{buildroot}%{_datadir}/gnupg/{FAQ,faq.html}
rm -f %{buildroot}%{_datadir}/locale/locale.alias

mkdir -p %{buildroot}%{_sysconfdir}/RPM-GPG-KEYS
tar xvjf %{SOURCE2} -C %{buildroot}%{_sysconfdir}/RPM-GPG-KEYS

%{find_lang} %{name}

%post
%_install_info gnupg1.info
/bin/true

%postun
%_remove_install_info gnupg1.info
/bin/true

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO ChangeLog doc/DETAILS doc/FAQ doc/HACKING
%doc doc/faq.html doc/faq.raw doc/OpenPGP doc/samplekeys.asc
%doc doc/gpgv.texi
%attr(4755,root,root) %{_bindir}/gpg
%attr(0755,root,root) %{_bindir}/gpgv
%attr(0755,root,root) %{_bindir}/lspgpot
%attr(0755,root,root) %{_bindir}/gpgsplit
%attr(0755,root,root) %{_bindir}/gpg-zip
%dir %{_libdir}/gnupg
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_curl
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_finger
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_hkp
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_ldap
%dir %{_datadir}/gnupg
%{_datadir}/gnupg/options.skel
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_infodir}/gnupg1.info*
%dir %{_sysconfdir}/RPM-GPG-KEYS
%attr(0644,root,root) %{_sysconfdir}/RPM-GPG-KEYS/*.asc



%changelog
* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.7-4mdv2007.1
+ Revision: 146609
- do not package sources of info pages

* Thu Mar 15 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.7-2mdv2007.1
+ Revision: 144347
- workaround to avoid having to conflict with gnupg2

* Wed Mar 14 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.7-1mdv2007.1
+ Revision: 143694
- updated to version 1.4.7
- removed patches that were already applied
- debian patches were splitted: taking them from the
  MDV 2007.0 official update

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.5-5mdv2007.1
+ Revision: 103132
- added security patch for CVE-2006-6235

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - use parallel build
    - add ppc64 support

* Fri Dec 01 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.5-3mdv2007.1
+ Revision: 89664
- require default libcurl-devel
- get rid of svn warning
- bump release for rebuild
- fix overflow (upstream bug 728)

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild with the new curl

* Tue Aug 01 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.5-1mdv2007.0
+ Revision: 42918
- removed 23_getkey_utf8_userid and 25_de.po_fixes from debian
  patches, already applied/fixed upstream
- updated to version 1.4.5 (doesn't build yet, hang on)
- fixed svn warning (/me testing srpm2svn.sh)
- import gnupg-1.4.3-1mdv2007.0


* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-1mdv2007.0
- 1.4.3
- added debian patches (P0)
- rediffed P1
- added a security fix for CVE-2006-3082 (P2)
- fix deps

* Sun Apr 30 2006 Stefan van der Eijk <stefan@eijk.nu> 1.4.2.2-2mdk
- rebuild for sparc

* Tue Mar 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.2.2-1mdk
- package was taken from updates:
  - 1.4.2.2; fixes CVE-2006-0049
  - drop P2; fixed upstream

* Wed Feb 22 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.2.1-1mdk
- 1.4.2.1, drop P2 (merged upstream)

* Fri Feb 17 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.2-4mdk
- P2: security fix for CVE-2006-0455

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-3mdk
- drop P0 as mandrakesecure.net is no more (#18587)

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdk
- rebuilt against new openldap-2.3.6 libs
- fix deps

* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 1.4.2-1mdk
- New release 1.4.2
- cosmetic fixes
- Drop patch2 (upstream)

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-5mdk
- Rebuild
- Fix File Section
- Fix smtpdaemon

* Mon Apr 04 2005 Vincent Danen <vdanen@mandrakesoft.com> 1.4.0-4mdk
- P2: security patch for CAN-2005-0366

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-3mdk
- Add patch1: use-agent by default to allow to crypt/uncrypt mail into kmail
	thanks to Plouf <plouf@montpelliertux.org>  and Neoclust <neoclust@mandrake.org> to point me it

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.0-2mdk
- rebuild for ldap2.2_7

* Wed Dec 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Wed Nov 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6

* Mon Jan 12 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- remove P2 (elgamal patch)

* Thu Nov 27 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.2.3-4mdk
- security fix (elgamal vuln)
- BuildRequires: libldap-devel, smtpdaemon

* Tue Aug 26 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.2.3-3mdk
- remove import of gpg keys for rpm as it apparently corrupts the rpmdb

* Tue Aug 26 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.2.3-2mdk
- rebuild so it shows up

* Sat Aug 23 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.2.3-1mdk
- don't add keys to root's keyring anymore
- new directory /etc/RPM-GPG-KEYS stores the keys we use
- import keys into rpm in %post
- miscellaneous specfile cleanups

* Mon Aug 11 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-4mdk
- Move gpgkeys to gnupg subdir
- Patch1: Fix regression test script

* Sat Aug 02 2003 Pixel <pixel@mandrakesoft.com> 1.2.2-3mdk
- /usr/lib/gpgkeys_mailto disappears when i rebuild, otherwise i would have done:
	  only /usr/lib/gpgkeys_mailto needs perl(Getopt::Std),
	  ignore this require
  but this is not needed since gpgkeys_mailto has disappeared (why??)

